﻿-- Author      : RisM
-- Create Date : 6/28/2009 3:38:58 PM

-------------------------------------------------------------------------------
-- Create Addon Object
-------------------------------------------------------------------------------

SpeakinSpell = LibStub("AceAddon-3.0"):NewAddon("SpeakinSpell", "AceConsole-3.0", "AceEvent-3.0")


-------------------------------------------------------------------------------
-- CURRENT VERSION
-------------------------------------------------------------------------------

SpeakinSpell.CURRENT_VERSION = "3.2.0.03"


-------------------------------------------------------------------------------
-- CONSTANTS
-------------------------------------------------------------------------------

SpeakinSpell.URL = "http://www.wowace.com/projects/speakinspell/"

SpeakinSpell.MAX = {}
SpeakinSpell.MAX.MESSAGES_PER_SPELL = 100 --do not ever make this number smaller, but we can always make it bigger


-------------------------------------------------------------------------------
-- DEFAULTS
-------------------------------------------------------------------------------


SpeakinSpell.DEFAULTS = {}
SpeakinSpell.DEFAULTS.FREQUENCY = 1.00 -- means 100%
SpeakinSpell.DEFAULTS.COOLDOWN = 0 -- default of 0 seconds = no cooldown

--NOTE: these need to be UN-localized chat channel names for use in SendChatMessage
SpeakinSpell.DEFAULTS.CHANNEL_RULES = {
	BG		= nil,		--L["BATTLEGROUND"],
	Raid	= nil,		--L["RAID"],
	Party	= "SAY",	--L["PARTY"]
	Solo	= "SAY",
}


-------------------------------------------------------------------------------
-- SAVED DATA DECLARATION
-------------------------------------------------------------------------------

-- our main saved data is stored in SpeakinSpellSavedData.EventTable
-- we must declare the parent table SpeakinSpellSavedData
-- but we know whether real data has been loaded or not if SpeakinSpellSavedData.EventTable exists
-- NOTE: SpeakinSpellSavedData.EventTable may be an empty table
SpeakinSpellSavedData = {}
