﻿-- Autor      : leXin (Aiwendyl Das_Syndikat)
-- Erstellungsdatum : 24.07.2009

-- Deutsche Lokalisierungs-Datei für deDE.
local AceLocale = LibStub:GetLibrary("AceLocale-3.0")
local HELPFILE = AceLocale:NewLocale("SpeakinSpell_HELPFILE", "deDE", false)
if not HELPFILE then return end

----------------------------------------------------------------------------------------
----------------------------------------------------------------------------------------
-- Dieser Text wird im Inhaltsverzeichnis des "Im-Spiel Hilfesystems" angezeigt.
HELPFILE.ROOT = [[
Helfe durch Feedback diese Hilfe-Bibliothek zu erweitern und wähle eines der unten aufgeführten Themen für mehr Informationen.
]]


----------------------------------------------------------------------------------------
--[[ Das Format jeder Seite ist wie folgend:
	["Kapitel Titel"] = "Inhalte"
--]]

--ACHTUNG ÜBERSETZER:
--	Das komplette Benutzerhandbuch in dieser Datei ist eine lange und wortreiche Angelegenheit die sich auf viele Themen bezieht.
--	Es wird voraussichtlich wachsen und sich sehr häufig in sehr vielen Wegen ändern jedes mal wenn ich SpeakinSpell erweitere,
--	weil dies hier ist der Ort ist wo vollständig dokumentiert wird wie jede Fähigkeit angewendet und benutzt wird.
--
--	Eben wegen diesem Problem, dass das Benutzerhandbuch sehr häufig geändert werden muss
--	habe ich den Programmiercode sehr flexibel darin gemacht wie diese Datei genutzt wird.
--	Sehr flexibel.
--
--	Anders als bei den meisten Locale-xxXX.lua, ist es dir erlaubt die kompletten Inhalte der
--	HELPFILE.PAGES zu ändern (Die folgenden Tabellen).
--	Mitsamt der Tabellen-Schlüssel welche als Kapitel Titel genutzt werden,
--	die Inhalte von jedem Kapitel natürlich
--	die Anordnung der Inhalte
--	und es steht dir ebenfalls offen die Nummern der Kapitel zu erweitern, löschen und neuzuordnen.
--
--	Ich möchte das du die Möglichkeit besitzt dieses Benutzerhandbuch komplett umzugestalten,
--	sodass es passend auf die unterschiedlichen Sprachen und Kulturen abgeändert werden kann,
--	gemäß dem Fall, dass es durch eine Umgestaltung leichter wird die informationen darin zu übermitteln.
--	Es steht dir frei das zu tun und es wird funktionieren - Versuch es und sieh selbst.
--	
----------------------------------------------------------------------------------------
HELPFILE.PAGES = {

----------------------------------------------------------------------------------------
["1. Über SpeakinSpell"] = [[

Unterhaltsam und/oder nützlich - SpeakinSpell wird zufällige (oder festgelegte) Sprüche in den gewünschten Chat ansagen wenn du je nach Einstellung einen Zauber, eine Fähigkeit, oder auch Items benutzt, sowie automatisch ausgelöste Effekte (z.B. Schmuckstücke) und Benutzer-definierte Makros. --- In englisch abändern!!!

Funktioniert mit sämtlichen Klassen. 
Einstellbar für unzählige verschiedene Situation (Raid, Schlachtfelder, Arena...)

Projekt Webseite:
http://www.wowace.com/projects/speakinspell/

Curse Downloadseite:
http://wow.curse.com/downloads/wow-addons/details/speakinspell.aspx

Bitte reiche alle Verbesserungsideen und Fehlermeldungen hier ein:
http://www.wowace.com/projects/speakinspell/create-ticket/

Präsentiert von Stonarius von Antonidas
In Zusammenarbeit mit leXin (Aiwendyl - Das Syndikat) für die komplette deutsche Übersetzung/Lokalisierung, sowie zahlreichen Erweiterungen.
]],


----------------------------------------------------------------------------------------
["2. Basisanleitung"] = [[

Wie man SpeakinSpell in wenigen Schritten zum laufen bringt:

1. Logge ein und spiele deinen Charakter für ein paar Minuten.

2. Aktiviere oder benutze dabei jeden Zauber oder jede Fähigkeit. 
   Bringe jeden selbstauslösenden Proc-Effekt zum auftreten und sorge dafür, dass jedes andere von SpeakinSpell aufspürbare Ereignis auftritt, für das du gerne Ansagen einstellen würdest.

3. Tippe "/SpeakinSpell" (oder "/ss") um Zugriff auf das Optionsfenster zu bekommen.

4. Klicke auf "Erstelle neu.." oder tippe "/ss erstelle" um die Einstellungen für einen neuen Zauber/Fähigkeit oder für ein anderes Ereignis vorzunehmen.

5. Wähle den gewünschten Zauber/Fähigkeit oder das Ereignis von der Liste und klicke dann auf den "Erstellen" Button. 
   Dann wirst du automatisch zu der Einstellungsseite kommen für diesen gewählten Zauber/Fähigkeit oder das Ereignis.

6. Ändere die Einstellung deinen Wünschen entsprechend und schreibe soviele Sprüche wie du willst. 
   Von nun an wird jedesmal, wenn du den Zauber/Fähigkeit benutzt oder das gewählte Ereigniss (z.B. Procs) eintrifft eine deiner zuvor eingegebenen zufälligen Nachrichten in den jeweils eingestellten Chat gesendet.

7. Wiederhole das Ganze bis dir die Ideen für coole und nützliche zufällige Sprüche ausgehen.
]],


----------------------------------------------------------------------------------------
["3. Funktionen"] = [[

Erkennt verschiedenste "Ereignisse" für die in den Chat automatisch Sprüche angesagt werden unter Verwendung einer Zufallsliste mit vom Benutzer definierten Sprüchen (Einige Standarts sind als Beispiele voreingestellt). Das beinhaltet:
- Zauber die du wirkst.
- Alle anderen Fähigkeiten für jede Klasse (Der "Heldenhafte Stoß" eines Kriegers ist technisch gesehen auch ein "Zauber").
- Alles was du in deiner Aktionsleiste verwenden kannst.
- Items.
- Selbstauslösende Effekte (Buffs die du von dir selbst z.B. durch Schmuckstücke erhälst).
- Andere Ereignisse (Wie Einloggen etc.).
- Immer wenn du "/ss makro irgendetwas" eintippst.

Bis zu 100 Sprüche können für einen Zauber eingegeben werden.

Für jede Klasse stehen für mindestens 3 Fähigkeiten oder Zauber jeweils 10 deutsche Beispielsprüche bereit (Hinzugefügt von leXin)

Für jeden Zauber mitsamt seinen Sprüchen können einzelne Chat-Kanäle ausgewählt werden.

Unterstützt unterschiedliche Kanäle für verschiedene Szenarien: Solo, Gruppe, Schlachtzug, Schlachtfeld und Arena.

Vollständig durch das Options-Bedienfeld konfigurierbar.

Beinhaltet witzige voreingestellte Sprüche für viele Zauber sämtlicher Klassen.

Alle deine Einstellungen gelten nur für diesen Charakter. Alle Benutzer-definierten Sprüche und andere Einstellungen werden separat für jeden Charakter gespeichert.

Unterstützt viele Ersatz-Variablen wie <spieler>, <ziel>, <zielklasse>, <zielrasse> und noch viele mehr.

Sagt niemals zweimal infolge dieselbe Nachricht für einen gegebenen Zauber (Natürlich nur, wenn du mehr als 1 Spruch für diesen Zauber eingegeben hast).

Kann so konfiguriert werden, dass nur der Nutzen eines Zaubers basierend auf einer Zufallschance angesagt wird. 
Diese ist eine Benutzer-konfigurierte Prozentchance pro Zauber. Das kann für Rollenspielzwecke nützlich sein, oder um die Menge von Zauberausgelösten Spam der im Chat generiert wird zu senken.

Kann so konfiguriert werden, dass ein Abklingzeit für die Ansagen jedes Zaubers verwendet wird. Das kann genutzt werden um zu verhindern das zu häufig Ansagen für einen häufig benutzten Zauber vorkommen.

Flüstert bei Bedarf Nachrichten automatisch zu dem Ziel deines Zaubers. Das kann für Wiederbelebungszauber oder z.B. Anregen nützlich sein.

Wenn du Komplimente bezüglich deiner "Makros" bekommst benutze "/ss weitersagen" um deine Freunde über SpeakinSpell zu informieren. 
Einige der Zufallswerbungen sind witzig gehalten. Ja, es ist schließlich ein Addon das zufällige Texte in den Chat spamt und es hat eine Funktion um Werbung für seine Fähigkeit zufällige Texte zu spammen zu machen. "/ss hilfe" im Spiel um mehr über detailierte Optionen betreffend der Werbung "/ss weitersagen" zu erfahren.

Erkennung von anderen ungewöhnlichen Ereignissen wie Einloggen. Tippe "/ss hilfe" im Spiel für die komplette Liste.

Gewohnheitsdefinierte Benutzermakros. Tippe "/ss makro irgendetwas" um dafür zu sorgen das SpeakinSpell ein pseudo Zauberereignis erkennt mit dem Namen "Wenn ich tippe: /ss makro irgendetwas" welches du so einstellen kannst, dass es zusammen mit zufälligen Sprüchen angesagt wird. Das kann z.B. für zufällige Schlachtrufe, Grüße, Abschiede benutzt werden oder was auch immer du definierst.
]],


----------------------------------------------------------------------------------------
["4. Slash Befehle"] = [[

/ss - Zeigt die Optionen.
/ss optionen - Zeigt die Optionen.

/ss hilfe - Zeigt diese Hilfe.
/ss erstelle - Öffnet die Erstelle neu... Benutzeroberfläche, um Nachrichteneinstellung für ein neues Ereignis zu erstellen.
/ss nachrichten - Öffnet das Nachrichteneinstellungen Bedienfeld um deine momentanen Einstellungen zu ändern.

/ss zurücksetzen - Setzt alle deine Einstellungen auf Standart zurück.

/ss weitersagen - Informiert deine Freunde über dieses Addon (Benutzt dabei einen Standart-Kanal).
/ss weitersagen /p - Informiert deine Gruppe über dieses Addon (/s oder /ra funktionieren ebenfalls).
/ss weitersagen /w lexin - Wird deinen Freund "lexin" über dieses Addon informieren.

/ss makro <irgendetwas> - Aktiviert ein Ereigniss genannt "Wenn ich tippe: /ss makro irgendetwas". Siehe auch "8.Gebräuchliche Makros".
]],


----------------------------------------------------------------------------------------
["5. Variablen"] = [[

Jede zufällige Nachricht kann sich auf das Zauberwirken eines Spielers, auf das Ziel des Zaubers und viele verschiedene andere Informationen beziehen, welche von SpeakinSpell automatisch erkannt werden.

Folgend wird eine komplette Liste von verfügbaren Variablen aufgelistet, die bei Bedarf in eure zufällige Sprüche mit eingebaut werden können. Die eckigen Klammer <> werden dabei benötigt!

<spieler>
- Dein Name.

<zauberwirker>
- Der Name der Person oder des Wesens das den Spruch oder Effekt wirkt.
- Nicht immer derselbe wie <spieler>.

<ziel>
- Der Name des Ziels auf das der Zauber gewirkt wird.
- So lange wie möglich wird dies das wahre aktuelle Ziel deines Zaubers sein (Nicht zwingend dein augenblicklich ausgewähltes Ziel).

<zielklasse>
- Die Klasse deines Ziels. (z.b. "Wirke xxx auf <zielklasse> wird zu "Wirke xxx auf den Priester").

<zielrasse>
- Die Rasse deines Ziels. (z.b. "Wirke xxx auf <zielrasse> wird zu "Wirke xxx auf den Zwerg").

<fokus>
- Der Name deines Fokusziels (/fokus).

<zaubername>
- Der komplette name des zaubers den du wirkst (Der Rang des Zaubers ist nicht beinhaltet).

<zauberrang> 
- Der Rang des Zaubers.
- Die gewöhnliche Anwendung würde wie folgt aussehen "<zaubername> (<zauberrang>)" -> "Arkane Intelligenz (Rang 2)".

<zauberlink>
- Erstellt im Chat einen anklickbaren Link zu dem Zauber.
- Entsprechend einer Einschränkung der WoW LUA API, funktioniert das nur für Zauber die in einem eigenen Zauberbuch zu finden sind. 
- Falls ein klickbarer Zauberlink nicht erstellt werden kann, wird ein unechter unklickbarer Link generiert wie [Auffüllen].

<begleiter>
- Der Name deines Begleiters (Nicht zur Benutzung mit Haustieren).
- Entsprechend einer Einschränkung der WoW LUA API, funktioniert diese Variable nicht, wenn du deinen Begleiter gerade beschwörst. Es funktioniert erst nachdem dein Begleiter bereits beschworen wurde.

<TM>
- Das Warenzeichen-Symbol, wie z.b. genutzt bei "lexin's magische Leckereien™"

<C>
- Das Urheberrecht-Symbol, wie z.b. genutzt bei Copyright © 2008

<R>
- Das registrierte Warenzeichen-Symbol, wie z.b. genutzt bei Speak & Spell ® ist ein registriertes Warenzeichen von Texas Instruments (Jedenfalls glaube ich, das es das ist!)

<randomfaction>
- A randomly selected name of a faction, or similar mad-libs style noun that would fit in the same context
- Some examples include: Horde, Scourge, Alliance, Tauren, Ladies' Undergarments, and more
- For example, "Feel the wrath of the <randomfaction>!" can become "Feel the wrath of the Scourge!"
- Over 80 different random faction names may be selected

<randomtaunt>
- Call someone names using a randomly selected name-calling taunt
- Some examples include: Punk, Be-otch, Chicken, Coward, Weakling, Son of a hamster, Noob, and more
- For example, "I'll kill you, you <randomtaunt>" can become "I'll kill you, you Coward!"
- Over 20 different random insults may be selected

<newline>
- This will split a speech into more than one line of text
- It is possible to use a slash command such as "/cheer" on one line but not another
- For example if you want a particular event announcement to say something in chat and emote a /cheer at the same time
- "For the Horde!<newline>/cheer"

]],


----------------------------------------------------------------------------------------
["6. Variablen - Erweitert"] = [[

<ziel|me>
<ziel|myself>
<ziel|___>

Erlaubt das bestimmen von alternativem Text um zu verhindern das über dich selbst in der dritten Person gesprochen wird.

Das funktioniert im Grunde genauso wie <ziel> abgesehen davon wenn du selbst das Ziel bist, in welchem Fall der alternative Text nach dem | benutzt wird.

Zum Beispiel damit für den Zauber Machtwort: Seelenstärke Ansagen kommen könnte jemand einen solchen Speakin Spell Spruch schreiben: "Keine panik! Ich habe <target|myself> vor Schaden bewahrt!".
- Wenn du dann Machtwort: Seelenstärke auf deinen Freund Lexin wirkst, würde "Keine Panik! Ich habe LeXin vor Schaden bewahrt!" angesagt werden.
- Und wenn du Machtwort: Seelenstärke dann auf dich selbst wirkst würde "Keine Panik! Ich habe myself vor Schaden bewahrt!" herauskommen anstelle deines eigenen Charakternamen.

<zauberwirker|I>
<zauberwirker|___>

Das funktioniert falls du der Zauberwirker bist.
]],


----------------------------------------------------------------------------------------
["7. Zusatzinformationen zu <ziel>"] = [[

Warum wird manchmal nicht der korrekte <ziel> Name benutzt?
Was ist wenn ich über Fokus (/Fokus) Zauber und Fähigkeiten wirke?
Was ist wenn ich den Tank im Ziel habe aber dann Healbot benutze um jemand anderen zu heilen?

Die WoW Benutzeroberfläche bietet viele verschiedene Wege Zauber auszuwählen und zu wirken, aber es ist nur einer davon der vorsieht ein Ziel auszuwählen und dann einen Zauber zu wirken (Normalerweise auf eben dieses Ziel). 
Nimm dir einen Moment Zeit um zu betrachten wie viele andere Wege es gibt einen Zauber zu wirken. Solche wie zuerst auf einen Zauber zu klicken um einen "umrandeten" Cursor zu erhalten und folglich auf ein Ziel oder einen Gegner zu klicken, oder auch mithilfe des (/Fokus) Befehls über Fokus wirken, oder Makros, oder andere Add ons um Ziele auszuwählen und dann Zauber oder Fähigkeiten zu wirken.

SpeakinSpell wird das aktuelle echte Ziel deines Zaubers so oft wie möglich nutzen um dein <ziel> Name zu unterstützen, genauso wie als ob du %t in einem Makro benutzt das du in deiner normalen WoW Benutzeroberfläche gebaut hast, so wie du es auch erwarten würdest.

Leider wird in manchen Fällen die Zauber Zielinformation nicht von Blizzard's WoW LUA API unterstützt wenn SpeakinSpell gemeldet wird, dass ein Zauber gewirkt wurde. Die meist verbreitetsten Fälle beinhalten das Wirken von Zaubern auf tote Spieler welche ihren Geist freigelassen haben (z.b. Wiederbelebung), sowie nicht-anwählbare Zauber welche nur selbstwirkend sind (z.b. Schildwall des Kriegers).

In diesen Fällen muss SpeakinSpell seine beste Einschätzung verwenden. Es wird versuchen einen Zielnamen von den folgenden Quellen zu nutzen (In dieser Reihenfolge):

1) Der Zielname unterstützt mit der Zauberwirkereignis-Benachrichtigung (Falls verfügbar wird dies das echte Zauberziel sein).
2) Andernfalls wird versucht dein derzeitig ausgewähltes Ziel zu verwenden, falls du eins angewählt hast (UnitName("target") API).
3) Andernfalls wird versucht der Name deines Fokusziels zu verwenden, falls du einen Fokus gesetzt hast (UnitName("focus") API).
4) Andernfalls wird von Selbstwirkung ausgegangen und dein eigener Name wird verwendet (UnitName("player") API).

Die Chancen stehen gut das diese Methode den korrekten Namen des Ziels deines Zaubers wiederauffinden kann, aber es ist nicht garantiert durch die Vielzahl an Möglichkeiten einen Zauber in WoW zu wirken.

Falls du mir nicht-anwählbaren Zaubern arbeitest, oder bestimmten Zaubern welche ganz einfach durch Blizzard verbuggt sind, dann solltest du <ziel> mit Vorsicht benutzen und über Alternativen für die Variablen <Zauberwirker>, <spieler> und <Fokus> nachdenken, was wohl in dem Fall nützlich sein wird, damit deine Sprüche korrekt ausgegeben werden.

Diese Einschränkung betrifft ebenfalls <zielrasse> und <zielklasse>.
]],


----------------------------------------------------------------------------------------
["8. Gewöhnliche Makros"] = [[

Du kannst SpeakinSpell auch dazu benutzen zufällige Schlachtschreie auszurufen mit einem Klick auf ein Button, oder auch Grüße, oder Abschiedsworte, oder eine Liste von Witzen die du geschrieben hast oder was auch immer du willst.

Ein SpeakinSpell "Custom Makro" ist eine Art von Ereignis welches in einen beliebigen Chat angesagt wird unter Verwendung eines zufälligen Spruches wie auch bei irgendeinem Zauber, einer Fähigkeit oder anderem erkannten Ereignis.

Du kannst gebräuchliche Makros erstellen und benutzen indem du folgendes tippst:
/ss makro irgendetwas

Falls dies das erste mal ist das du dieses einzelne Makro eingibst wird dich Speakinspill auffordern neue Nachrichteneinstellungen für dieses Ereignis zu erstellen.

Wenn du bereits Nachrichteneinstellungen für das Ereinis "Wenn ich tippe: /ss makro etwas" erstellt hast, dann wird das tippen von "/ss makro etwas" das Ereignis auslösen und eine deiner Nachrichten auswerfen, genauso wie ein Zauberereignis.

Du kannst "/ss makro etwas" in ein Makro (/m) packen, mit oder ohne irgendwelchen anderen Makrobefehlen.
]],


----------------------------------------------------------------------------------------
["9. Weitere Ereignisse"] = [[

SpeakinSpell kann auch andere Ereignisse erkennen. Diese werden in der Liste unter der Erstelle neu... Benutzeroberfläche (/ss erstelle) aufgeführt.

"Systemereignis: SpeakinSpell geladen"
Dieses Pseudo Zauberereigniss wird beim einloggen oder immer dann wenn du deine Benutzeroberfläche neu lädst erkannt.

"Systemereignis: Kampf beigetreten"
"Systemereignis: Kampf verlassen"

Diese beiden Ereignisse werden erkannt wann immer du den Status "Im Kampf" betrittst und verlässt, technisch basiert auf den WoW LUA API Ereignissen PLAYER_REGEN_ENABLED und PLAYER_REGEN_DISABLED.
]],



----------------------------------------------------------------------------------------
["10. Emotes"] = [[

Falls du Emote als ein "Kanal" in der drop-down Liste ausgewählt hast repräsentiert das den Emote Kanal, welcher gleichzusetzen ist wie wenn du "/me macht seltsame Gesten" tippen würdest.

SpeakinSpell unterstützt ebenfalls direkte Emotes (z.b. /Jubeln) oder andere Slash Befehle, die du vielleicht in einer Sprachnachricht für einen Zauber oder anderes Ereigniss in den Nachrichteneinstellungen eingegeben hast (Tippe "/ss Nachrichten" und scrolle runter).
Das beinhaltet z.b. ist aber nicht beeschränkt auf
/brüllen
/r
/w spielername
/y
/g
/2
/ss makro etwas
andere Addon Befehle
andere Chat-Kanäle
andere Emotes

Entsprechend einer von Blizzard festgelegten Regel kannst du diese Funktion nicht für "Secure Commands" nutzen, da sie potenziell für Botting genutzt werden könnten. - SpeakinSpell wird dir eine Warnung anzeigen wenn du versuchst das zu tun.
]],


----------------------------------------------------------------------------------------
["11. Änderungsverlauf"] = [[

Siehe unter \Interface\Addons\SpeakinSpell\ChangeLog.txt für den kompletten Änderungsverlauf in ausführlicher Variante.

Ziehe das Änderungsdokument auf der Webseite für einen weiter detailierten Änderungsverlauf auf dem Kode Datenlevel hinzu.
Klicke bei folgendem Link auf "Änderungen":
http://wow.curse.com/downloads/wow-addons/details/speakinspell.aspx
]],


----------------------------------------------------------------------------------------
["12. Versionsnummer"] = [[

Wie man die Versionsnummer interpretiert:

Die SpeakinSpell Versionsnummer besteht aus der WoW Client Versionsnumer mit der Speakinspell erstellt und getestet wurde und daraus die wievielte Veröffentlichung diese Version ist.

Zum Beispiel: SpeakinSpell Version 3.0.3.05 wurde auf Basis des wow Clienten Version 3.0.3 erstellt und ist die 5 Veröffentlichung basierend auf dieser WoW Version.

Wenn WoW 3.1.0 erscheint wird die nächste SpeakinSpell Veröffentlichung also SpeakinSpell v3.1.0.01 sein.
]],


----------------------------------------------------------------------------------------
["13. Nicht-englische Spiele Clients"] = [[

Wie man SpeakinSpell in jeglicher Sprache einrichtet:

Falls SpeakinSpell noch nicht in deine Muttersprache übersetzt wurde nur keine Sorge, es kann trotzdem für dich funktionieren.

Das Kerndesign Konzept in SpeakinSpell welches SpeakinSpell ermöglicht für jeden Zauber und jede Klasse zu funktionieren sorgt ebenfalls dafür, dass es auch mit jeder Nicht-englischen Version des WoW Clients arbeitet. 
Die Slash-Befehle und Kennzeichen in der Options-Benuteroberfläche werden natürlich in Englisch erscheinen, genauso wie die Standartbeispiele für Zaubereinstellungen und zufällige Sprüche.
Dennoch wird die Kernfunktionalität für das Erkennen benutzerbestimmter Zauber und Ereignisse und das Ansagen dieser von benutzerbestimmten Sprüche in jeglicher Sprache weiterfunktionieren.
]],


----------------------------------------------------------------------------------------
["14. Herkunftsgeschichte"] = [[
Die Herkunftsgeschichte von SpeakinSpell - (Oder... Die lahme Geschichte eines Thanksgiving Traum)
(*Anm. d. Übersetzers: Warum zur Hölle mache ich mir eigentlich auch noch die Arbeit das hier zu übersetzen? >_< Was solls, das ist immerhin eine Güterklasse A Übersetzung!)


Der Name Speakinspell ist ein Sprachspiel aus einer üblichen Sprach-Variante(Dialekt) des amerikanischen mittleren Westen, wie sie auch überlicherweise im englischen bei Zwergen aus Azeroth benutzt wird indem dazu tendiert wird das "g" von englischen Wörtern die auf "ing" enden wegzulassen wie z.b. Speakin' anstelle von Speaking, shootin' anstelle von shooting.

SpeakinSpell besitzt ebenfalls einen Bezug zu dem berühmten Lern-Kinderspielzeug mit dem ich in den frühen achtzigern aufgewachsen bin.

http://en.wikipedia.org/wiki/Speak_&_Spell_(game)  (Nur in Englisch)

SpeakinSpell wurde vollständig unter der Verwendung von Ace3 Bibliotheken und Tutorials geschrieben die ich online gefunden habe, um dann einigen Beispielen von Kode-Fragmenten und Add On Architektur-Konzepten zu folgen wie sie bei Titan, Omen oder Recount verwendet werden. (Alles Add ons die ich sehr hoch schätze).

SpeakinSpell wurde inspiriert durch klassenspezifische Add ons wie Cryolysis für Magier oder Necrosis für Hexenmeister. 
Der Hauptcharakter des Autor's ist ein Magier (Stonarius von Antonidas) und ich, der Autor, liebte den Humor bei der Vewendung der "zufälligen Sprüche Funktion" von Cryolysis2. 
Insbesondere aber bei automatischen Ansagen meiner eigenen ausgedachten Sprüche durch die Benutzung des Zaubers "Ritual der Erfrischung" für die ich insbesondere durch die Werbesprüche inspiriert wurde die ich auf den Essensverpackungen in meiner Küche vorfand (Zum Beispiel eine Packung von Cereal (*Anm. d. Übersetzers: Glaube Müsli im Amiland) auf der steht: "Es ist Cinnamontastic!™. Ernsthaft, ich will euch nicht auf den Arm nehmen, sie haben das Wort Cinnamontastic rechtlich und amtlich registrieren lassen, lol!)

Bedauerlicherweise funktionierte Cryolysis2 nicht mehr als WoW 3.0 veröffentlich wurde und ich war ziemlich enttäuscht, dass die "zufällige Sprüche Funktion" in der aktualisierten und neugeschrieben Version von Cryolysis3 laut dem neuen Autor nicht wiederhgerstellt werden sollte. 
Etwas musste dagegen unternommen werden...

Ich bevorzugte immer meine eigenen zufälligen Sprüche für Cryolysis2 zu schreiben, aber der einzige Weg wie ich das machen konnte war die LUA Daten zu editieren wo meine Änderungen jedoch jedesmal verloren gingen immer dann ich eine neue aktualisierte Version des Add ons installierte, welche natürlich die LUA Daten überschreibt und meine Änderungen zerstört.

So träumte ich von einer Benutzeroberfläche um die Sprüche in einer Weise zu editieren, dass sie in den "Savedvariables" Daten gespeichert werden wo sie sicher sein würden vor den Änderungen des unterstützenden LUA Kode (Welche aber notwendig sind um Addons am laufen zu halten von Patch zu Patch), sodass kommende Patches nicht meine selbsterstellen Sprüche zerstören würden für die ich Stunden verbracht hatte um die möglichst witzigsten und geistreichsten Dinge automatisch anzusagen immer dann wenn ich einen Zauber wirke.

Ausserdem fand ich (Mit Cryolysis2) heraus, dass Verwandlungs-Ansagen in 5-Mann Gruppen sehr nett sein können. Sie wurden aber ziemlich nervig in 25-Mann Schlachtzügen, wenn es darum ging denselben Mob 20 mal hintereinander im gleichen Kampf neu zu verwandeln. Situationen in denen ich oft gefragt wurde die Sprüche abzustellen. Mit der Erkenntnis das es ein wenig nervig war die Einstellungen jedesmal umzustellen wenn ich einem Schlachtzug beitrat oder verließ, träumte ich darüber eine solche logische Funktion in einem "Zauber-sprechenden Add on" zu haben.

Ich träumte darüber ein solches Add on on zu erschaffen, vielleicht sogar ein ganzes Jahr, aber ich fürchtete die nötigen zu lernenden Sachkenntnisse. Auch wenn ich 10 Jahre Erfahung mit C++ habe, zu lernen in LUA zu programmieren ist wie das neulernen einen Paladin nach Patch 3.0 zu spielen und ich dachte, dass ich es nicht packen würde. Aber dann eines Tages dachte ich zufällig an das Speak & Spell Spielzug und das der Add on Name "Speakin' Spell" passen würde. Ich dachte: "Ok, das besiegelt es, nun MUSS ich dieses Add on machen!" und so begann der nächste Tag, der erste Tag des langen Wochenende Thanksgiving 2008, welches mir reichlich Zeit verschaffte...

Und so wurde SpeakinSpell geboren.

Danke dir dafür das du SpeakinSpell benutzt!. Es ist einfach Mannabiscuitalicious!™ :P

Er... Ummm... Kompatibel mit WotLK und Stufe 80 nun... also uh..

Danke dir dafür das du SpeakinSpell benutzt!. Es ist einfach Manastrudeltastic!™ :P
]],


----------------------------------------------------------------------------------------
["15. Credits"] = [[
SpeakinSpell was created by...
Stonarius of Antonidas 

Primary Beta Testing, Arena Team Pwnage, Key Grip...
Meneldill

Translators who help me in so many other ways...
leXin for the German deDE
troth75 for the Korean koKR

Many of the default speeches were blatantly stolen from...
- Cryolysis2
- Necrosis
- LunarSphere
- Ultimate Warcraft Battlecry Generator

Thanks for the open license guys!  I hope you like what I did with it.

Special thanks to the authors of these addons that I use as a model for how addons should be made...
- Titan
- Omen
- Recount
- Healbot 
- the WowAce libs

Thank you to the community on the wowace forums for much appreciated LUA coding help. 

Thanks to Blizzard Entertainment for this great game! ... hire me??

No animals were harmed in the making of this addon.

... Well, the hunter popped a sheep with his aoe, but I resheeped with my /cast [target=focus] macro, and said "Baaah! sheeped again <target>?!" and it was all good...
]],

} -- end HELPFILE.PAGES


--ACHTUNG ÜBERSETZER:
--	Du kannst diese Liste speziell so anordnen wie du es möchtest.
--	Diese Liste muss aber alle Kapitel beinhalten die oben definiert wurden.
--	Jedes hier nicht aufgelistete Kapitel das du oberhalb geschrieben hast wird im Spiel nicht angezeigt.
--	Jeder inkorrekte Kapiteltitel in dieser Liste wird im Spiel einen LUA Fehler hervorrufen.
--	Jeder Kapiteltitel der hier aufgelistet wird muss exakt die gleichen Sonderzeichen und Anordnung wie die Kapiteltitel oberhalb besitzen.
--	Table Keys sind der Teil zwischen den Klammern [ ]
HELPFILE.PAGEORDER = {
	[1] = "1. Über SpeakinSpell",
	[2] = "2. Basisanleitung",
	[3] = "3. Funktionen",
	[4] = "4. Slash Befehle",
	[5] = "5. Variablen",
	[6] = "6. Variablen - Erweitert",
	[7] = "7. Zusatzinformationen zu <ziel>",
	[8] = "8. Gewöhnliche Makros",
	[9] = "9. Weitere Ereignisse",
	[10] = "10. Emotes",
	[11] = "11. Änderungsverlauf",
	[12] = "12. Versionsnummer",
	[13] = "13. Nicht-englische Spiele Clients",
	[14] = "14. Herkunftsgeschichte",
	[15] = "15. Credits",
}

--ACHTUNG ÜBERSETZER:
-- Wenn der Benutzer /ss help, oder irgendeinen ungültigen /ss Befehl eingibt
-- wird das Fenster für die Options-Benutzeroberfläche geöffnet um dieses Kapitel des Benutzerhandbuchs anzuzeigen, oberhalb definiert
-- muss der Name des Kapitels exakt mit dem Namen des zwischen den Klammern [] festgelegten "table key" übereinstimmen
-- Zum Beispiel, in Englisch legt der "table" oberhalb fest ["4. Slash Commands"] = [[ ... ]], also fügen wir hier das folgende ein:
HELPFILE.SLASH_COMMANDS = "4. Slash Befehle"
